Class PortOperator

java.lang.Object
com.eqixiac.equinix.core.model.ResourceImpl<Port>
com.eqixiac.equinix.fabric.model.json.creators.PortOperator
All Implemented Interfaces:
Resource<Port>

public class PortOperator extends ResourceImpl<Port>
Fluent create/update entry point for Fabric ports, mirroring the route-filter operator. create() builds a PortCreatorJson for POST /fabric/v4/ports; update(String) accumulates JSON Patch operations for PATCH /fabric/v4/ports/{uuid}.
Author:
ianjones
  • Constructor Details

  • Method Details

    • create

      public PortOperator.PortBuilder create()
      Begins the fluent builder for creating a new port.
    • update

      public PortOperator.PortUpdater update(String uuid)
      Begins a fluent update of an existing port, identified by uuid.
      Parameters:
      uuid - the uuid of the port to update